<?php
namespace wcf\data\modification\log;
use wcf\data\user\group\application\UserGroupApplication;
use wcf\data\DatabaseObjectDecorator;
use wcf\system\WCF;

/**
 * Provides a viewable user group application modification log.
 * 
 * @author	Tim Duesterhus
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.moderatedUserGroup
 * @subpackage	data.modification.log
 * @category	Community Framework (commercial)
 */
class ViewableUserGroupApplicationModificationLog extends DatabaseObjectDecorator {
	/**
	 * @see	wcf\data\DatabaseObjectDecorator::$baseClass
	 */
	protected static $baseClass = 'wcf\data\modification\log\ModificationLog';
	
	/**
	 * application object
	 * @var	wcf\data\user\group\application\UserGroupApplication
	 */
	public $application = null;
	
	/**
	 * Returns readable representation of current log entry.
	 */
	public function __toString() {
		return WCF::getLanguage()->getDynamicVariable('wcf.user.userGroups.application.log.'.$this->action, array(
			'additionalData' => $this->additionalData,
			'application' => $this->application
		));
	}
	
	/**
	 * Sets post object.
	 * 
	 * @param	wcf\data\user\group\application\UserGroupApplication	$application
	 */
	public function setApplication(UserGroupApplication $application) {
		if ($application->applicationID == $this->objectID) {
			$this->application = $application;
			
			return true;
		}
		
		return false;
	}
}
