<?php
namespace wcf\data\modification\log;
use wcf\system\log\modification\UserGroupApplicationModificationLogHandler;
use wcf\data\modification\log\ModificationLogList;

/**
 * Represents a list of modification logs for user group applications.
 * 
 * @author	Tim Duesterhus
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.moderatedUserGroup
 * @subpackage	data.modification.log
 * @category	Community Framework (commercial)
 */
class ViewableUserGroupApplicationModificationLogList extends ModificationLogList {
	/**
	 * Initializes the user group application modification log list.
	 * 
	 * @param	array<integer>		$applicationIDs
	 * @param	string			$action
	 */
	public function setApplicationData(array $applicationIDs, $action = '') {
		// load object type id
		$objectType = UserGroupApplicationModificationLogHandler::getInstance()->getObjectType('com.woltlab.wcf.moderatedUserGroup.application');
		
		// add conditions
		$this->getConditionBuilder()->add("objectTypeID = ?", array($objectType->objectTypeID));
		$this->getConditionBuilder()->add("objectID IN (?)", array($applicationIDs));
		if (!empty($action)) $this->getConditionBuilder()->add("action = ?", array($action));
	}
	
	/**
	 * @see	wcf\data\DatabaseObjectList::readObjects()
	 */
	public function readObjects() {
		parent::readObjects();
		
		foreach ($this->objects as &$object) {
			$object = new ViewableUserGroupApplicationModificationLog($object);
		}
		unset($object);
	}
}
