<?php
namespace wcf\data\user\group\application;
use wcf\data\AbstractDatabaseObjectAction;
use wcf\system\log\modification\UserGroupApplicationModificationLogHandler;
use wcf\system\WCF;

/**
 * Executes actions on an user group application.
 * 
 * @author	Tim Duesterhus
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.moderatedUserGroup
 * @subpackage	data.user.group.application
 * @category	Community Framework (commercial)
 */
class UserGroupApplicationAction extends AbstractDatabaseObjectAction {
	/**
	 * @see	wcf\data\AbstractDatabaseObjectAction::$className
	 */
	protected $className = 'wcf\data\user\group\application\UserGroupApplicationEditor';
	
	/**
	 * @see	wcf\data\AbstractDatabaseObjectAction::update()
	 */
	public function update() {
		WCF::getDB()->beginTransaction();
		parent::update();
		
		$logHandler = UserGroupApplicationModificationLogHandler::getInstance();
		foreach ($this->objects as $application) {
			if (isset($this->parameters['data']['status']) && $this->parameters['data']['status'] != $application->status) {
				$logHandler->changeStatus($application->getDecoratedObject(), $this->parameters['data']['status']);
			}
			if (isset($this->parameters['data']['reason']) && $this->parameters['data']['reason'] != $application->reason) {
				$logHandler->editReason($application->getDecoratedObject());
			}
			if (isset($this->parameters['data']['reply']) && $this->parameters['data']['reply'] != $application->reply) {
				$logHandler->editReply($application->getDecoratedObject());
			}
		}
		WCF::getDB()->commitTransaction();
	}
}
