<?php
namespace wcf\data\user\group\application;
use wcf\data\DatabaseObjectEditor;
use wcf\system\log\modification\UserGroupApplicationModificationLogHandler;
use wcf\system\user\notification\object\UserGroupApplicationUserNotificationObject;

/**
 * An editor for user group applications
 * 
 * @author	Tim Duesterhus
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.moderatedUserGroup
 * @subpackage	data.user.group.application
 * @category	Community Framework (commercial)
 */
class UserGroupApplicationEditor extends DatabaseObjectEditor {
	/**
	 * @see	wcf\data\DatabaseObjectDecorator::$baseClass
	 */
	protected static $baseClass = 'wcf\data\user\group\application\UserGroupApplication';
	
	/**
	 * @see	wcf\data\DatabaseObjectEditor::deleteAll()
	 */
	public static function deleteAll(array $objectIDs = array()) {
		UserGroupApplicationModificationLogHandler::getInstance()->delete($objectIDs);
		$notifications = array();
		foreach ($objectIDs as $objectID) {
			$notifications[] = new UserGroupApplicationUserNotificationObject(new UserGroupApplication(null, array('applicationID' => $objectID)));
		}
		
		return parent::deleteAll($objectIDs);
	}
}
