<?php
namespace wcf\system\menu\user;
use wcf\data\user\group\UserGroup;

/**
 * UserMenuItemProvider for user groups.
 * 
 * @author	Tim Duesterhus
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.moderatedUserGroup
 * @subpackage	system.menu.user
 * @category	Community Framework (commercial)
 */
class UserGroupsMenuItemProvider extends DefaultUserMenuItemProvider {
	/**
	 * @see	wcf\system\menu\page\PageMenuItemProvider::isVisible()
	 */
	public function isVisible() {
		// only show menu item if there are valid user group
		$userGroups = UserGroup::getGroupsByType(array(5, 6, 7)); // open, moderated, closed moderated
		
		foreach ($userGroups as $userGroup) {
			// admin groups are not allowed
			if (!$userGroup->isAdminGroup()) return true;
		}
		
		return false;
	}
}
