{include file='documentHeader'}

<head>
	<title>{lang}wcf.user.userGroups.{if $application|isset}application.edit{else}apply{/if}{/lang}{if $isGroupLeader|isset} - {$group->groupName|language}{/if} - {lang}wcf.user.{if $isGroupLeader|isset}moderatedU{else}u{/if}serGroups{/lang} - {lang}wcf.user.usercp{/lang} - {PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
</head>

<body id="tpl{$templateName|ucfirst}">

{include file='userMenuSidebar'}

{include file='header' sidebarOrientation='left'}

<header class="boxHeadline">
	<h1>{lang}wcf.user.userGroups.{if $application|isset}application.edit{else}apply{/if}{/lang}</h1>
</header>

{include file='userNotice'}

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

<form method="post" action="{if $isGroupLeader|isset}{link controller='UserGroupManageApplicationEdit' id=$application->applicationID}{/link}{elseif $application|isset}{link controller='UserGroupApplicationEdit' id=$application->applicationID}{/link}{else}{link controller='UserGroupApply' id=$group->groupID}{/link}{/if}">
	<div class="container containerPadding marginTop">
		<fieldset>
			<legend>{lang}wcf.user.userGroups.apply.groupInformation{/lang}</legend>
			
			<dl>
				<dt>{lang}wcf.global.name{/lang}</dt>
				<dd>
					{$group->groupName|language}
				</dd>
			</dl>
			
			{if $group->groupDescription|language && !$isGroupLeader|isset}
				<dl>
					<dt>{lang}wcf.acp.group.description{/lang}</dt>
					<dd>
						{$group->groupDescription|language}
					</dd>
				</dl>
			{/if}
			
			{event name='groupInformationFields'}
		</fieldset>
		
		<fieldset>
			<legend>{lang}wcf.user.userGroups.apply.applicationInformation{/lang}</legend>
			
			{if $isGroupLeader|isset}
				<dl>
					<dt>{lang}wcf.user.username{/lang}</dt>
					<dd>
						<a href="{link controller='User' id=$application->applicant title=$application->username}{/link}" class="userLink" data-user-id="{$application->applicant}">
							{$application->username}
						</a>
					</dd>
				</dl>
			{/if}
			
			{if $application|isset}
				<dl{if $errorField == 'status'} class="formError"{/if}>
					<dt><label for="status">{lang}wcf.user.userGroups.application.status{/lang}</label></dt>
					<dd>
						{if !$isGroupLeader|isset || $application->status == 2}{* accepted *}
							{lang}wcf.user.userGroups.application.status.status{$status}{/lang}
						{else}
							<select id="status" name="status">
								<option value="1"{if $status == 1} selected="selected"{/if}>{lang}wcf.user.userGroups.application.status.status1{/lang}</option>
								<option value="2"{if $status == 2} selected="selected"{/if}>{lang}wcf.user.userGroups.application.status.status2{/lang}</option>
								<option value="3"{if $status == 3} selected="selected"{/if}>{lang}wcf.user.userGroups.application.status.status3{/lang}</option>
								<option value="5"{if $status == 5} selected="selected"{/if}>{lang}wcf.user.userGroups.application.status.status5{/lang}</option>
							</select>
						{/if}
					</dd>
				</dl>
				
				{if ($isGroupLeader|isset && $application->status != 2) || $reply}
					<dl{if $errorField == 'reply'} class="formError"{/if}>
						<dt><label for="reply">{lang}wcf.user.userGroups.application.reply{/lang}</label></dt>
						<dd>
							{if !$isGroupLeader|isset || $application->status == 2}{* accepted *}
								{@$reply|newlineToBreak}
							{else}
								<textarea id="reply" name="reply" cols="40" rows="10">{$reply}</textarea>
							{/if}
						</dd>
					</dl>
				{/if}
			{/if}
			
			<dl{if $errorField == 'reason'} class="formError"{/if}>
				<dt><label for="reason">{lang}wcf.user.userGroups.apply.reason{/lang}</label></dt>
				<dd>
					{if !$isGroupLeader|isset}
						<textarea id="reason" name="reason" cols="40" rows="10" required="required">{$reason}</textarea>
					{else}
						{@$reason|newlineToBreak}
					{/if}
					
					{if $errorField == 'reason'}
						<small class="innerError">
							{if $errorType == 'empty'}{lang}wcf.global.form.error.empty{/lang}{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{event name='applicationInformationFields'}
		</fieldset>
		
		{event name='fieldsets'}
	</div>
	
	{if !$application|isset || $application->status != 2}{* accepted *}
		<div class="formSubmit">
			<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
		</div>
	{/if}
</form>

{if $modificationLog|isset}
	{hascontent}
		<div class="tabularBox tabularBoxTitle marginTop">
			<header>
				<h2>{lang}wcf.user.userGroups.application.log{/lang} <span class="badge badgeInverse">{#$modificationLog|count}</span></h2>
			</header>
			
			<table class="table">
				<thead>
					<tr>
						<th class="columnText">{lang}wcf.user.userGroups.application.log.action{/lang}</th>
						<th class="columnText">{lang}wcf.user.username{/lang}</th>
						<th class="columnDate">{lang}wcf.user.userGroups.application.log.time{/lang}</th>
						
						{event name='columnHeads'}
					</tr>
				</thead>
				<tbody>
					{content}
						{foreach from=$modificationLog item=entry}
							<tr>
								<td class="columnText">{@$entry}</td>
								<td class="columnText"><a href="{link controller='User' id=$entry->userID title=$entry->username}{/link}" class="userLink" data-user-id="{@$entry->userID}">{$entry->username}</a></td>
								<td class="columnDate">{@$entry->time|time}</td>
								
								{event name='columns'}
							</tr>
						{/foreach}
					{/content}
				</tbody>
			</table>
		</div>
	{/hascontent}
{/if}

{include file='footer'}

</body>
</html>