{include file='documentHeader'}

<head>
	<title>{lang}wcf.user.userGroups{/lang} - {lang}wcf.user.usercp{/lang} - {PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
</head>

<body id="tpl{$templateName|ucfirst}">

{include file='userMenuSidebar'}

{include file='header' sidebarOrientation='left'}

<header class="boxHeadline">
	<h1>{lang}wcf.user.userGroups{/lang} <span class="badge">{#$items}</span></h1>
</header>

{include file='userNotice'}

<div class="contentNavigation">
	{pages print=true assign=pagesLinks controller="UserGroupList" link="pageNo=%d"}
	
	{hascontent}
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtonsTop'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

<div class="container containerPadding marginTop">
	{foreach from=$objects item='group'}
		<fieldset>
			<legend>{$group->groupName|language} <span class="badge label">{lang}wcf.acp.group.groupType.type{$group->groupType}{/lang}</span>{if $group->isMember()} <span class="badge label green">{lang}wcf.user.moderatedUserGroups.isMember{/lang}</span>{/if}</legend>
		
			<p>{@$group->groupDescription|language|newlineToBreak}</p>
			
			{hascontent}
				<dl class="marginTop">
					<dt>{lang}wcf.acp.group.leader{/lang}</dt>
					<dd>
						<ul class="dataList">
							{content}
								{foreach from=$group->leader item='leader'}
									<li><a href="{link controller='User' object=$leader}{/link}" class="userLink" data-user-id="{$leader->userID}"><span>{$leader}</span></a></li>
								{/foreach}
							{/content}
						</ul>
					</dd>
				</dl>
			{/hascontent}
			
			{event name='groupData'}
			
			{if $group->groupType == 5 || $group->groupType == 6 || $group->groupType == 7}{* open, moderated, closed moderated *}
				{if $group->isMember()}
					{if $group->groupType == 5 || $group->groupType == 6}{* open, moderated *}
						<dl>
							<dt></dt>
							<dd>
								<ul class="buttonList">
									<li>
										<a class="button small" href="{link controller='UserGroupLeave' id=$group->groupID}t={@SECURITY_TOKEN}{/link}" onclick="WCF.System.Confirmation.show('{lang}wcf.user.userGroups.leave.sure{/lang}', $.proxy(function (action) { if (action == 'confirm') window.location.href = $(this).attr('href'); }, this)); return false;">
											<span>{lang}wcf.user.userGroups.leave{/lang}</span>
										</a>
										{event name='groupButtons'}
									</li>
								</ul>
							</dd>
						</dl>
					{/if}
				{else}
					{if $group->groupType == 5}{* open *}
						<dl>
							<dt></dt>
							<dd>
								<ul class="buttonList">
									<li>
										<a class="button small" href="{link controller='UserGroupJoin' id=$group->groupID}t={@SECURITY_TOKEN}{/link}">
											<span>{lang}wcf.user.userGroups.join{/lang}</span>
										</a>
										{event name='groupButtons'}
									</li>
								</ul>
							</dd>
						</dl>
					{else}
						{if $group->application}
							<dl>
								<dt>{lang}wcf.user.userGroups.application.status{/lang}</dt>
								<dd>{lang}wcf.user.userGroups.application.status.status{$group->application->status}{/lang}</dd>
							</dl>
							
							{if $group->application->status != 2 && $group->application->status != 5}{* accepted, closed *}
								<dl>
									<dt></dt>
									<dd>
										<ul class="buttonList">
											<li>
												<a class="button small" href="{link controller='UserGroupApplicationEdit' id=$group->application->applicationID}{/link}">
													<span>{lang}wcf.user.userGroups.application.edit{/lang}</span>
												</a>
												
												<a class="button small" href="{link controller='UserGroupApplicationRevoke' id=$group->application->applicationID}t={@SECURITY_TOKEN}{/link}" onclick="WCF.System.Confirmation.show('{lang}wcf.user.userGroups.application.revoke.sure{/lang}', $.proxy(function (action) { if (action == 'confirm') window.location.href = $(this).attr('href'); }, this)); return false;">
													<span>{lang}wcf.user.userGroups.application.revoke{/lang}</span>
												</a>
												{event name='groupButtons'}
											</li>
										</ul>
									</dd>
								</dl>
							{/if}
						{else}
							<dl>
								<dt></dt>
								<dd>
									<ul class="buttonList">
										<li>
											<a class="button small" href="{link controller='UserGroupApply' id=$group->groupID}{/link}">
												<span>{lang}wcf.user.userGroups.apply{/lang}</span>
											</a>
											{event name='groupButtons'}
										</li>
									</ul>
								</dd>
							</dl>
						{/if}
					{/if}
				{/if}
			{/if}
		</fieldset>
	{/foreach}
</div>

<div class="contentNavigation">
	{@$pagesLinks}
	
	{hascontent}
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtonsBottom'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

{include file='footer'}
</body>
</html>