{include file='documentHeader'}

<head>
	<title>{lang}wcf.user.moderatedUserGroups.members{/lang} - {$group->groupName|language} - {lang}wcf.user.moderatedUserGroups{/lang} - {PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
	
	<script data-relocate="true" src="{@$__wcf->getPath()}js/WCF.ModeratedUserGroup{if !ENABLE_DEBUG_MODE}.min{/if}.js?v={@$__wcfVersion}"></script>
	<script data-relocate="true">
		//<![CDATA[
			$(function() {
				WCF.Language.addObject({
					'wcf.user.moderatedUserGroups.members.add.success': '{lang}wcf.user.moderatedUserGroups.members.add.success{/lang}',
					'wcf.user.moderatedUserGroups.members.add.error.notFound': '{lang}wcf.user.moderatedUserGroups.members.add.error.notFound{/lang}',
					'wcf.user.moderatedUserGroups.members.add.error.alreadyMember': '{lang}wcf.user.moderatedUserGroups.members.add.error.alreadyMember{/lang}'
				});
				
				new WCF.ModeratedUserGroup.AddMembers({@$group->groupID});
			});
		//]]>
	</script>
</head>

<body id="tpl{$templateName|ucfirst}">

{include file='userMenuSidebar'}

{include file='header' sidebarOrientation='left'}

<header class="boxHeadline">
	<h1>{$group->groupName|language}: {lang}wcf.user.moderatedUserGroups.members{/lang} <span class="badge">{#$items}</span></h1>
</header>

{include file='userNotice'}

<form method="post" class="jsOnly" id="addMembersForm">
	<div class="container containerPadding marginTop">
		<fieldset>
			<legend>{lang}wcf.user.moderatedUserGroups.members.add{/lang}</legend>
			
			<dl>
				<dt><label for="username">{lang}wcf.user.username{/lang}</label></dt>
				<dd>
					<input type="text" id="username" name="username" value="" class="medium" />
					<small>{lang}wcf.user.moderatedUserGroups.members.add.description{/lang}</small>
				</dd>
			</dl>
		</fieldset>
		
		{event name='fieldsets'}
	</div>
</form>

<div class="contentNavigation">
	{pages print=true assign=pagesLinks controller="UserGroupManageMemberList" link="id=$group->groupID&pageNo=%d&sortField=$sortField&sortOrder=$sortOrder"}
	
	{hascontent}
		<nav>
			<ul>
				{content}
					{if $group->groupType == 6 || $group->groupType == 7}
						<li><a href="{link controller='UserGroupManageApplicationList' id=$group->groupID}{/link}" class="button"><span class="icon icon16 icon-list"></span> <span>{lang}wcf.user.moderatedUserGroups.applications{/lang}</span></a></li>
					{/if}
					{event name='contentNavigationButtonsTop'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

{if $items}
	<div class="container marginTop">
		<ol class="containerList doubleColumned userList">
			{foreach from=$objects item=user}
				<li class="jsIgnoredUser">
					<div class="box48">
						<a href="{link controller='User' object=$user}{/link}" title="{$user->username}" class="framed">{@$user->getAvatar()->getImageTag(48)}</a>
							
						<div class="details userInformation">
							{include file='userInformationHeadline'}
							
							<nav class="jsMobileNavigation buttonGroupNavigation">
								<ul class="buttonList">
									<li><a href="{link controller='UserGroupManageKickMember' id=$group->groupID}memberID={@$user->userID}&t={@SECURITY_TOKEN}{/link}" title="{lang}wcf.user.moderatedUserGroups.members.kick{/lang}" class="jsTooltip" onclick="WCF.System.Confirmation.show('{lang}wcf.user.moderatedUserGroups.members.kick.sure{/lang}', $.proxy(function (action) { if (action == 'confirm') window.location.href = $(this).attr('href'); }, this)); return false;"><span class="icon icon16 icon-remove"></span></a></li>
									{event name='userButtons'}
								</ul>
							</nav>
							
							{include file='userInformationStatistics'}
						</div>
					</div>
				</li>
			{/foreach}
		</ol>
	</div>
	
	<div class="contentNavigation">
		{@$pagesLinks}
		
		{hascontent}
			<nav>
				<ul>
					{content}
						{if $group->groupType == 6 || $group->groupType == 7}
							<li><a href="{link controller='UserGroupManageApplicationList' id=$group->groupID}{/link}" class="button"><span class="icon icon16 icon-list"></span> <span>{lang}wcf.user.moderatedUserGroups.applications{/lang}</span></a></li>
						{/if}
						{event name='contentNavigationButtonsBottom'}
					{/content}
				</ul>
			</nav>
		{/hascontent}
	</div>
{/if}

{include file='footer'}

</body>
</html>